<?php

require '../system/start.php';
require '../system/functions.php';
only_level(3);
$str['mesto'] = 'ICQ магазин';
$str['block'] = $set['site'].' / ICQ магазин';
include '../style/'.$style.'/head.php';
switch($act)
{
	default:
	echo '
	<div class="on"><a href="icqshop.php?act=sel">Управление категориями</a></div>
	<div class="on2"><a href="icqshop.php?act=uins">Управление номерами</a></div>';
	break;
	case 'sel':
    echo '<div class="mess"><a href="?act=add_sel">Добавить раздел</a></div>';
    $query = mysql_query("select * from `uins_sel`");
    if(mysql_num_rows($query) == 0)
    {
        echo '<div class="forum1">Категории еще не созданы!</div>';
    }
    else
    {
        while ($row = mysql_fetch_assoc($query))
        {
   	        $i++;
	       if($i%2)
	       {
		  echo '<div class="forum1">';
	       }
            else
	       {
		      echo '<div class="forum2">';
	       }
            echo ''.$row['title'].'<br /><a href="?act=edit_sel&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete_sel&amp;id='.$row['id'].'">[удл]</a></div>';
        }
    }
    echo '<div class="where"><a href="index.php">Админ-панель</a></div>';
    break;
	case 'add_sel':
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		mysql_query ("INSERT INTO `uins_sel` (title) VALUES ('".protect($_POST['title'])."')");
		echo '<div class="where">Раздел успешно создан!</div>';
	}
	echo '<div class="on"><form method="post" action="?act=add_sel">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="" /><br />
	<input type="submit" value="Добавить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'edit_sel':
	$query = mysql_fetch_assoc(mysql_query("select * from `uins_sel` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Раздел не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		$title = protect($_POST['title']);
		mysql_query ("UPDATE `uins_sel` SET `title` = '".$title."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Раздел успешно обновлен!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit_sel&amp;id='.$query['id'].'">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="'.$query['title'].'" /><br />
	<input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'delete_sel':
	$query = mysql_fetch_assoc(mysql_query("select * from `uins_sel` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Раздел не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `uins_sel` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Раздел успешно удален!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'uins':
    echo '<div class="mess"><a href="?act=add_uin">Добавить номер</a></div>';
    $query = mysql_query("select * from `uins_uins` order by `id` limit ".$page.",".$set['str']."");
    $total = mysql_result(mysql_query("select count(*) from `uins_uins`"),0);
    if(mysql_num_rows($query) == 0)
    {
        echo '<div class="forum1">Номерки еще не добавлены!</div>';
    }
    else
    {
        while ($row = mysql_fetch_assoc($query))
        {
   	        $i++;
	       if($i%2)
	       {
		      echo '<div class="forum1">';
	       }
        else
	       {
		      echo '<div class="forum2">';
	       }
            echo ''.$row['uin'].'<br /><a href="?act=edit_uin&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete_uin&amp;id='.$row['id'].'">[удл]</a></div>';
	   }
       if($total > $set['str'])
        {
	       pages($page, $total, 'icqshop.php?act=uins&amp;', $set['str']);
        }
    }
    echo '<div class="where"><a href="index.php">Админ-панель</a></div>';
    break;
    case 'add_uin':
    $query = mysql_query("select * from `uins_sel` order by `id`");
    if(mysql_num_rows($query) == 0)
    {
       echo '<div class="forum1">Разделы еще не созданы!</div>';
    }
    else
    {
	   if(isset($_POST['uin']) && !empty($_POST['uin']) && !empty($_POST['password']) && !empty($_POST['price']))
	   {
		  mysql_query ("INSERT INTO `uins_uins` (id_sel,uin,password,price,time) VALUES (".int($_POST['id_sel']).",'".protect($_POST['uin'])."','".protect($_POST['password'])."',".int($_POST['price']).",".time().")");
		  echo '<div class="where">Номер успешно добавлен!</div>';
	   }
	   echo '<div class="on"><form method="post" action="?act=add_uin">
	   <div>
	   Номер:<br />
	   <input type="text" name="uin" maxlength="9" value="" /><br />
	   Пароль:<br />
	   <input type="text" name="password" maxlength="8" value="" /><br />
	   Стоимость: (в монетах)<br />
	   <input type="text" name="price" maxlength="5" value="" /><br />
       Раздел:<br />
       <select size="1" name="id_sel">';
       while($row = mysql_fetch_assoc($query))
       {
            echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
       }
        echo '</select><br/>
	   <input type="submit" value="Добавить" />
	   </div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
    }
    break;
    case 'edit_uin':
    $q = mysql_query("select * from `uins_sel` order by `id`");
	$query = mysql_fetch_assoc(mysql_query("select * from `uins_uins` where `id` = ".int($_GET['id']).""));
	if(empty($query['password']))
	{
		echo '<div class="on">Номер не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['uin']) && !empty($_POST['uin']) && !empty($_POST['password']) && !empty($_POST['price']))
	{
		$uin = protect($_POST['uin'],9);
		$password = protect($_POST['password'],8);
		mysql_query ("UPDATE `uins_uins` SET `uin` = '".$uin."' WHERE `id` = ".$query['id']."");
		mysql_query ("UPDATE `uins_uins` SET `password` = '".$password."' WHERE `id` = ".$query['id']."");
		mysql_query ("UPDATE `uins_uins` SET `price` = '".int($_POST['price'])."' WHERE `id` = ".$query['id']."");
        mysql_query ("UPDATE `uins_uins` SET `id_sel` = '".int($_POST['id_sel'])."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Номер успешно обновлен!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit_uin&amp;id='.$query['id'].'">
	<div>
		Номер:<br />
	   <input type="text" name="uin" maxlength="9" value="'.$query['uin'].'" /><br />
	   	Пароль:<br />
	   <input type="text" name="password" maxlength="8" value="'.$query['password'].'" /><br />
	   Стоимость: (в баллах)<br />
	   <input type="text" name="price" maxlength="5" value="'.$query['price'].'" /><br />
       Раздел:<br />
       <select size="1" name="id_sel">';
       while($row = mysql_fetch_assoc($q))
       {
            echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
       }
        echo '</select><br/>
        <input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
    case 'delete_uin':
	$query = mysql_fetch_assoc(mysql_query("select * from `uins_uins` where `id` = ".int($_GET['id']).""));
	if(empty($query['password']))
	{
		echo '<div class="on">Номер не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `uins_uins` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Номер успешно удален!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
}
include '../style/'.$style.'/foot.php';
?>